import BlogLists from "@components/top-level/blog-lists";
import Header from "@components/base/header";
import { getAllPosts } from "@lib/posts";
import { useAppContext } from "./context";

const Home = () => {
  const { theme, setTheme } = useAppContext();

  let blogs;
  const fetchAllBlogs = () => {
    blogs = getAllPosts("posts");
  };
  fetchAllBlogs();

  return (
    <div>
      <Header name="NewsBlog" currentTheme={theme} onThemeChange={setTheme} />
      <BlogLists
        title={blogs?.title}
        description={blogs?.description}
        blogs={blogs}
      />
    </div>
  );
};

export default Home;
